var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import styled from 'styled-components';
import { motion } from 'framer-motion';
import theme from '../../../../theme';
import Icon from '../../atoms/Icon';
import { isEmpty } from 'lodash-es';
export default function Badge(props) {
    const { content, icon, iconPosition, iconSize, color, size } = props, remain = __rest(props, ["content", "icon", "iconPosition", "iconSize", "color", "size"]);
    const iconGap = size === 'sm' ? 2 : size === 'md' ? 4 : 6;
    if (!(props === null || props === void 0 ? void 0 : props.isVisible))
        return null;
    return (_jsxs(BadgeStyled, Object.assign({}, props, { children: [!isEmpty(icon) && iconPosition === 'left' && _jsx(Icon, { name: icon, size: iconSize, color: color }), content && (_jsx(TextStyled, Object.assign({ gap: iconGap, icon: icon, position: iconPosition, size: size, color: color }, { children: content }))), !isEmpty(icon) && iconPosition === 'right' && _jsx(Icon, { name: icon, size: iconSize, color: color })] })));
}
Badge.defaultProps = {
    size: 'md',
    round: 'lg',
    content: 'Badge',
    backgroundColor: theme.colors.gray50,
    color: theme.colors.gray500,
    icon: null,
    iconPosition: 'left',
    iconSize: 16,
    isVisible: true,
};
const BadgeStyled = styled(motion.div) `
  display: inline-flex;
  justify-content: center;
  align-items: center;
  font-family: 'Pretendard Regular';
  color: ${props => props.color};
  background-color: ${props => props.backgroundColor};
  border-radius: ${({ round }) => (round === 'full' ? '50%' : round === 'sm' ? '4px' : round === 'md' ? '8px' : round === 'lg' ? '12px' : '0px')};
  border: none;
  ${props => props.size === 'sm' &&
    `
        font-size: 14px;
        line-height: 20px;
        letter-spacing: -0.2px;
        padding: ${props.round === 'full' ? '0' : '2px 6px'};
        width: ${props.round === 'full' ? '28px' : 'auto'};
        height: ${props.round === 'full' ? '28px' : 'auto'};
    `}

  ${props => props.size === 'md' &&
    `
        font-size: 16px;
        line-height: 24px;
        letter-spacing: -0.3px;
        padding: ${props.round === 'full' ? '4px' : '4px 8px'};
        width: ${props.round === 'full' ? '32px' : 'auto'};
        height: ${props.round === 'full' ? '32px' : 'auto'};
    `}

    ${props => props.size === 'lg' &&
    `
        font-size: 24px;
        line-height: 32px;
        letter-spacing: -0.4px;
        padding: ${props.round === 'full' ? '0' : '8px 12px'};
        width: ${props.round === 'full' ? '48px' : 'auto'};
        height: ${props.round === 'full' ? '48px' : 'auto'};
    `}
`;
const TextStyled = styled.span `
  color: inherit;
  margin-left: ${props => (props.icon && props.position === 'left' ? props.gap : 0)}px;
  margin-right: ${props => (props.icon && props.position === 'right' ? props.gap : 0)}px;
`;
