var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { jsx as _jsx } from "react/jsx-runtime";
import styled from 'styled-components';
import Icon from '../../atoms/Icon';
import theme from '../../../../theme';
export default function IconButton(props) {
    const { icon, iconSize, color, onClick } = props, remain = __rest(props, ["icon", "iconSize", "color", "onClick"]);
    return (_jsx(IconButtonStyled, Object.assign({ onClick: onClick }, props, { children: _jsx(Icon, { name: icon, size: iconSize, color: color }) })));
}
IconButton.defaultProps = {
    iconSize: 24,
    color: theme.colors.black,
    backgroundColor: 'transparent',
    borderRadius: '50%',
    icon: 'home',
    opacity: 1,
    onClick: () => console.log('아이콘 버튼 클릭됨'),
};
const IconButtonStyled = styled.button `
  display: flex;
  justify-content: center;
  align-items: center;
  color: ${props => props.color};
  background-color: ${props => props.backgroundColor};
  border-radius: ${props => props.borderRadius};
  border-color: transparent;
  opacity: ${props => props.opacity};
  borer-width: 0px;
  cursor: pointer;
  padding: 0;
  &:hover {
    opacity: 0.85;
  }
`;
