import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import styled from 'styled-components';
import { motion } from 'framer-motion';
import { produce } from 'immer';
import theme from '../../../../theme';
import Paragraph from '../../atoms/Paragraph/Paragraph';
import Title from '../../atoms/Title/Title';
import Button from '../../molecules/Button/Button';
export default function Feature1(props) {
    const { backgroundColor, thumbnail, titleProps, descriptionProps, isMobile } = props;
    return (_jsxs(Box, Object.assign({ backgroundColor: backgroundColor, isMobile: isMobile }, { children: [_jsx(IconImage, { isMobile: isMobile, src: thumbnail }), _jsx(Title, Object.assign({ margin: '12px 0 0' }, titleProps, { isMobile: isMobile })), _jsx(Paragraph, Object.assign({ margin: "12px 0 0" }, descriptionProps, { isMobile: isMobile }))] })));
}
Feature1.defaultProps = {
    thumbnail: 'https://codeindesign.s3.ap-northeast-2.amazonaws.com/CodeInDesign+Logo.png',
    titleProps: produce(Title.defaultProps, draft => {
        draft.fontWeight = 'bold';
        draft.size = 'sm';
        draft.color = theme.colors.black;
        draft.content = 'Title 01 타이틀 01\nTitle 02 타이틀 02';
    }),
    descriptionProps: produce(Paragraph.defaultProps, draft => {
        draft.fontWeight = 'normal';
        draft.size = 'md';
        draft.color = theme.colors.gray400;
        draft.content = '기능을 설명하는 글입니다.기능을 설명하는 글입니다.기능을 설명하는 글입니다.';
    }),
    isMobile: false,
    backgroundColor: theme.colors.gray50,
    buttonProps: produce(Button.defaultProps, draft => {
        draft.backgroundColor = theme.colors.white;
        draft.icon = 'chevron-right';
        draft.iconPosition = 'right';
        draft.color = theme.colors.gray500;
        draft.content = '포트폴리오 보러가기';
        draft.border.color = theme.colors.gray500;
        draft.border.width = 1;
    }),
};
const Box = styled(motion.div) `
  display: flex;
  flex-direction: column;
  background-color: ${props => props.backgroundColor};
  padding: 24px;
  width: 100%;
  margin: 0 auto;
  border-radius: 20px;
`;
const IconImage = styled(motion.img) `
  width: 64px;
  height: 64px;
  object-fit: contain;
`;
