import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import styled from 'styled-components';
import { motion } from 'framer-motion';
import { produce } from 'immer';
import theme from '../../../../theme';
import { Title, Paragraph } from '../../atoms';
import { Button } from '../../molecules';
import { Stack } from '../../../layout';
export default function Hero1(props) {
    const { subTitle, title, description, buttons, backgroundImage, isMobile, padding } = props;
    return (_jsx(Box, Object.assign({ url: backgroundImage }, { children: _jsxs(ContentBox, Object.assign({ isMobile: isMobile, padding: padding }, { children: [_jsx(Title, Object.assign({}, subTitle, { isMobile: isMobile })), _jsx(Title, Object.assign({}, title, { margin: "20px 0 0", isMobile: isMobile })), _jsx(Paragraph, Object.assign({}, description, { margin: "32px 0 0", isMobile: isMobile })), _jsx(Stack, Object.assign({ gap: 10, alignItems: "flex-start", margin: "56px 0 0" }, { children: buttons === null || buttons === void 0 ? void 0 : buttons.map((button, index) => {
                        return _jsx(Button, Object.assign({}, button), index);
                    }) }))] })) })));
}
Hero1.defaultProps = {
    subTitle: produce(Title.defaultProps, draft => {
        draft.content = "This is Hero1's SubTitle";
        draft.size = 'md';
        draft.fontWeight = 'normal';
    }),
    title: produce(Title.defaultProps, draft => {
        draft.content = '이것은 Hero1의 타이틀입니다.\n개행처리도 잘 됩니다';
        draft.size = 'xl';
        draft.highlight.color = theme.colors.gray500;
        draft.highlight.height = 36;
        draft.highlight.isVisible = true;
    }),
    description: produce(Paragraph.defaultProps, draft => {
        draft.content = 'Body 입력 Body 입력 무엇을 구하지 꽃이 무엇이 천고에 천자만홍이 황금시대다.\n피는 대한 따뜻한 꽃 가슴이 봄바람이다. 속에서 밥을 끓는 속잎나고.';
    }),
    padding: { top: 243, bottom: 243, left: 192, right: 192, isApply: false },
    buttons: Array(1).fill(Object.assign(Object.assign({}, Button.defaultProps), { content: '버튼1', icon: 'chevron-right', iconPosition: 'right' })),
    backgroundImage: '',
    isMobile: false,
};
const Box = styled(motion.div) `
  width: 100%;
  background: url(${props => props.url}) no-repeat;
  background-size: cover;
`;
const ContentBox = styled(motion.div) `
  display: flex;
  flex-direction: column;
  width: 100%;
  padding: ${props => (props.isMobile ? '100px 16px' : `243px 192px`)};
  padding-top: ${({ padding, isApply }) => isApply && (padding === null || padding === void 0 ? void 0 : padding.top)}px;
  padding-bottom: ${({ padding, isApply }) => isApply && (padding === null || padding === void 0 ? void 0 : padding.bottom)}px;
  padding-left: ${({ padding, isApply }) => isApply && (padding === null || padding === void 0 ? void 0 : padding.left)}px;
  padding-right: ${({ padding, isApply }) => isApply && (padding === null || padding === void 0 ? void 0 : padding.right)}px;
`;
