import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import styled from 'styled-components';
import { motion } from 'framer-motion';
import { useInView } from 'react-intersection-observer';
import { Container, Stack } from '../../../layout';
import Paragraph from '../../atoms/Paragraph/Paragraph';
import Title from '../../atoms/Title/Title';
export default function TextSection1(props) {
    const { isMobile } = props;
    const { ref, inView } = useInView({
        threshold: 0.1, // 요소가 10% 이상 화면에 들어오면 감지
    });
    const variants = {
        initial: { opacity: 0, y: 50 },
        animate: { opacity: 1, y: 0 },
        exit: { opacity: 0, y: -50 },
    };
    const textList = ['"목표나 계획 없이 주먹구구식으로 일하고 있어요."', '"프로젝트 일정을 한 눈에 파악하기 어려워요."'];
    return (_jsx(Box, Object.assign({ ref: ref }, { children: _jsx(Container, Object.assign({ isMobile: isMobile }, { children: _jsxs(Stack, Object.assign({ gap: 56, justifyContent: "center" }, { children: [_jsx(TitleArea, { children: _jsx(Title, { size: "md", content: "\uC544\uC9C1\uB3C4 \uC81C\uB300\uB85C \uB41C \uCCB4\uACC4 \uC5C6\uC774 \uC8FC\uBA39\uAD6C\uAD6C\uC2DD\uC73C\uB85C \uC77C\uD558\uACE0 \uACC4\uC2E0\uAC00\uC694?" }) }), _jsx(DetailArea, { children: textList.map(text => {
                            return (_jsx(AnimatedParagraph, { content: text, variants: variants, initial: "hidden", animate: inView ? 'visible' : 'hidden', transition: {
                                    duration: 0.5,
                                    ease: 'easeOut',
                                } }));
                        }) })] })) })) })));
}
TextSection1.defaultProps = {};
const Box = styled(motion.div) `
  display: flex;
`;
const TitleArea = styled(motion.div) `
  flex: 1;
  display: flex;
  justify-content: center;
`;
const DetailArea = styled(motion.div) `
  flex: 1;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
`;
const AnimatedParagraph = styled(Paragraph) ``;
