import { jsx as _jsx } from "react/jsx-runtime";
import styled from 'styled-components';
export default function Stack(props) {
    const { children } = props;
    return _jsx(Box, Object.assign({}, props, { children: children }));
}
Stack.defaultProps = {
    children: _jsx("div", Object.assign({ style: { background: 'red', width: '50px', height: '50px' } }, { children: "1" })),
    direction: 'row',
    gap: 24,
    alignItems: 'flex-start',
    onClick: console.log,
    width: '100%',
    flexWrap: 'nowrap',
};
const Box = styled.div `
  display: flex;
  width: ${props => props.width};
  flex-direction: ${props => props.direction};
  gap: ${props => props.gap}px;
  justify-content: ${props => props.justifyContent};
  align-items: ${props => props.alignItems};
  margin: ${props => props.margin};
  padding: ${props => props.padding};
  flex-wrap: ${props => props.flexWrap};
`;
