var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import axios from 'axios';
import CONSTANT from '../constants';
class AxiosUtils {
    static createHeaders() {
        return __awaiter(this, void 0, void 0, function* () {
            // const isClient = typeof window !== 'undefined';
            // const token = isClient ? parseCookies().token : AxiosUtils.TOKEN;
            return {
                Authorization: AxiosUtils.TOKEN ? 'Bearer ' + AxiosUtils.TOKEN : null,
            };
        });
    }
    static setToken(token) {
        AxiosUtils.TOKEN = token;
    }
    static get(path, params) {
        return __awaiter(this, void 0, void 0, function* () {
            return AxiosUtils.API.get(path, {
                headers: yield AxiosUtils.createHeaders(),
                params: params,
            });
        });
    }
    static post(path, requestBody) {
        return __awaiter(this, void 0, void 0, function* () {
            return AxiosUtils.API.post(path, requestBody, {
                headers: yield AxiosUtils.createHeaders(),
            });
        });
    }
    static put(path, requestBody) {
        return __awaiter(this, void 0, void 0, function* () {
            return AxiosUtils.API.put(path, requestBody, {
                headers: yield AxiosUtils.createHeaders(),
            });
        });
    }
    static delete(path) {
        return __awaiter(this, void 0, void 0, function* () {
            return AxiosUtils.API.delete(path, {
                headers: yield AxiosUtils.createHeaders(),
            });
        });
    }
}
AxiosUtils.TOKEN = null;
AxiosUtils.API = axios.create({ baseURL: CONSTANT.API_BASE_URL, withCredentials: true });
export default AxiosUtils;
